libdc1394: 2.1.2 out: fixing the ABI compatibility

This version just restores ABI compatibility that was broken in release 2.1.1.

Posted by Dr. Peter Antoniac 2009-06-15